城堡网 >> 安全频道 >> 云安全 

关于Exim SMTP Mail Server存在缓冲区溢出漏洞的安全公告

近日,国家信息安全漏洞共享平台(CNVD)收录了Exim SMTP Mail Server缓冲区溢出漏洞(CNVD-2018-04619,对应CVE-2018-6789)。攻击者可利用该漏洞在受影响的应用程序上下文中,通过堆溢出实现代码的执行,若攻击尝试失败仍可导致拒绝服务条件。目前,漏洞利用代码已公开,厂商已发布漏洞修复版本。

一、漏洞情况分析

Exim是一个MTAMail Transfer Agent,邮件传输代理)服务器软件,该软件基于GPL协议开发,是一款开源软件。该软件主要运行于类UNIX系统。通常该软件会与DovecotCourier等软件搭配使用。

漏洞是源于Exim 4.90.1之前版本中SMTP侦听器'base64d()'解码函数在发送handcrafted消息时存在缓冲区溢出漏洞,由于Exim未能充分检查用户提供的数据。攻击者可利用该漏洞绕过了ASLRPIENX等系统通用系统缓解措施,在受影响的应用程序上下文中执行任意代码,若攻击尝试失败仍可导致拒绝服务。

CNVD对上述漏洞的综合评级为高危 

二、漏洞影响范围

漏洞影响Exim版本号在4.90.1之前的版本。

安恒应急响应中心提供的Exim SMTP Mail Server的资产普查数据显示,在全球的分布情况中,美国占比最多(51.32%),其次是德国(4.51%)和荷兰(4.5%),而在我国境内的分布较少(2.01%)。

三、漏洞修复建议

目前,厂商已发布升级新版本以修复该漏洞,建议及时更新到漏洞修复后版本,下载地址:

https://www.exim.org/mirmon/ftp_mirrors.html

分享到:
责任编辑:
我有话说 已有 0 条评论
最新评论 刷新
暂无评论